v2.0

post

/ec-codelist-svc/rest/v2.0/codelist

Create a legacy system-level codelist from the supplied payload.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : CodeListRequestV1.0
Type: object
Title: CodeListRequestV1.0
Legacy codelist request payload containing the codelist definition and values.
Show Source
Nested Schema : Code
Type: object
Show Source
Nested Schema : values
Type: array
Codelist values.
Show Source
  • CodeValue
    Represents a coded value applied to a source value. Includes coding information, item and target identifiers and the coded result.
Example:
[
    {
        "codeValue":"MILD",
        "codeLabel":"Mild",
        "sequence":1,
        "locale":"en"
    }
]
Nested Schema : CodeValue
Type: object
Represents a coded value applied to a source value. Includes coding information, item and target identifiers and the coded result.
Show Source
  • Minimum Length: 0
    Maximum Length: 4000
    The actual code value derived from the coding process.
    Example: R79.0
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) for the coding info used to derive the code.
    Example: 3A1A5E8B0F894A9CA9F324D04B162F23
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
    Example: 5B3B7E0ED4F24E30B5A3A44C5A896C90
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) for the coding result target.
    Example: F843B5478028498882E3AF11FEBA3F2A
Examples

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : CodeListDto
Type: object
Show Source
Nested Schema : values
Type: array
Codelist values.
Show Source
Example:
[
    {
        "id":"56B7D39029424986ADC86DC4B976DD5E",
        "codeValue":"MILD",
        "codeLabel":"Mild",
        "sequence":1,
        "locale":"en-US"
    }
]
Nested Schema : CodeValueDto
Type: object
Codelist values.
Show Source
Example:
[
    {
        "id":"56B7D39029424986ADC86DC4B976DD5E",
        "codeValue":"MILD",
        "codeLabel":"Mild",
        "sequence":1,
        "locale":"en-US"
    }
]
Examples

400 Response

'Missing required code definition', 'Missing required values definition','Missing required field (codeName)','Missing required field (codeType)','Duplicate code name', 'Internal server error'
Body ()
Root Schema : CodeListResponseV1.0
Type: object
Title: CodeListResponseV1.0
Standard codelist service response envelope.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Response result.
Example:
{
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

500 Response

Internal server error
Body ()
Root Schema : CodeListResponseV1.0
Type: object
Title: CodeListResponseV1.0
Standard codelist service response envelope.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Response result.
Example:
{
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

Back to Top